<template>
  <div class="page-container h-screen">
    <PageTitle :title="` ${user.first_name} ${user.last_name}`" />

    <div class="flex flex-col px-8">
      <CardList :title="translate('labels.user_details')" :items="globalTableData"></CardList>

      <!-- Table -->
      <div class="flex flex-col">
        <v-card :title="translate('companies.title')">
          <v-table>
            <thead>
            <tr>
              <th class="!p-0">
                {{ translate('labels.id') }}
              </th>
              <th class="!p-0">{{ translate('labels.name') }}</th>
              <th class="!p-0">{{ translate('labels.actions') }}</th>
            </tr>
            </thead>
            <tbody>
            <tr v-for="order in orders" :key="order.id">
              <td>{{ order.id }}</td>
              <td>{{ order.number }}</td>
              <td>
                <v-list>
                  <v-list-item
                    variant="text"
                    class="hover:text-tertiary cursor-pointer !px-0"
                    :to="{
                                            name: 'orders.show',
                                            params: { id: order.id },
                                        }"
                  >
                    {{ translate('labels.show') }}
                  </v-list-item>
                </v-list>
              </td>
            </tr>
            </tbody>
          </v-table>
        </v-card>
      </div>
    </div>
  </div>
</template>

<script setup lang="ts">
import { ref, onMounted, computed } from 'vue'
import { useI18n } from 'vue-i18n'
import { useRoute } from 'vue-router'
import { storeFactory } from '@/main'

// Components
import CardList from '@/components/card/CardList.vue'
import PageTitle from '@/components/page/PageTitle.vue'

const { t: translate } = useI18n()
const route: any = useRoute()
const userStore = storeFactory.userStore

const user: any = ref({
  id: '',
  first_name: '',
  last_name: '',
  email: ''
})

const orders = ref([])

const globalTableData = computed(() => [
  { title: translate('labels.first_name'), value: user.value.first_name },
  { title: translate('labels.last_name'), value: user.value.last_name },
  { title: translate('labels.email'), value: user.value.email }
])

onMounted(async () => {
  const payrollUserData = await userStore.search(parseInt(route.params.id))

  Object.assign(user.value, {
    first_name: payrollUserData.first_name,
    last_name: payrollUserData.last_name,
    email: payrollUserData.email
  })
})
</script>
